Name:           loook
Version:        0.9.0
Release:        alt1
Summary:        Search strings in ODF documents
License:        %gpl2plus 
Group:          Office
URL:            https://mechtilde.de/Loook/
Source:         %name-%version.tar.gz

BuildRequires:  gettext-tools
BuildRequires:  rpm-build-licenses

Requires:       python3
Requires:       python3-modules-tkinter

BuildArch:      noarch

%description
This program is a program written in Python that searches for strings
in files created by OpenOffice.org, Apache OpenOffice, LibreOffice or
StarOffice 6.0 or higher. This is especially true for all documents
that were created in the Open Document Format. In addition, it can now
also search in documents created by Microsoft Word, Excel or PowerPoint
from the 2007 version in an OOXML format.

%prep
%setup -c

%build

%install
# install executables and mans
install -Dm 0755 %{name}.py %buildroot%_datadir/%name/%name.py
install -Dm 0644 man/de/%{name}.1 %buildroot%_mandir/de/man1/%{name}.1
install -Dm 0644 man/%{name}.1 %buildroot/%_man1dir/%{name}.1

# symlink executable
mkdir -p %{buildroot}%{_bindir}
ln -s %_datadir/%name/%name.py %buildroot%_bindir/%name

# install messages
for m in cs de en es fr it nl ; do
    msgfmt %{name}.${m}.po -o %{name}-%{version}.${m}.mo
    install -Dm 0644 %{name}-%{version}.${m}.mo %buildroot%_datadir/locale/${m}/LC_MESSAGES/%{name}.mo
done

%find_lang %{name} %{name}.lang

# install icon
install -Dm 0644 %{name}.png %buildroot/%_pixmapsdir/%name.png

# install Desktop file
install -Dm 0644 %name.desktop %buildroot%_desktopdir/%name.desktop

%files -f %{name}.lang
%_bindir/%name
%_datadir/%name/
%_desktopdir/%name.desktop
%_pixmapsdir/%name.png
%_man1dir/*
%_mandir/de/man1/*

%changelog
* Mon May 06 2024 Anton Shevtsov <shevtsov.anton@gmail.com>  0.9-alt1
- First build for ALT
